# $Id: kdeartwork.spec,v 1.27 2004/06/16 12:10:00 rexdieter Exp $

%define aurox_ver 10.1
%define rel 2


%define kdebase_ver 6:%{version}

%define is_release 1 
%define redhatify 0

Summary: Additional artwork (themes, sound themes, ...) for KDE
Name: 	 kdeartwork
Group:	 Amusements/Graphics
Epoch:	 0
Version: 3.3.1
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.3/src/kdeartwork-3.3.1.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#Patch0: kde-libtool.patch

## kde-redhat patches
# disable a few screensavers not compilable with gcc296
Patch1000: kdeartwork-3.3.0-gcc296.patch
## gcc version in use?
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
%if "%{gcc_ver}" == "2.96"
%define gcc296 1
%endif

Requires: kdebase >= %{kdebase_ver}
BuildRequires: kdebase-devel >= %{kdebase_ver} 

# dotnet requires qt-windows style, which we now package separately.
#(jb)Requires: qt-styles

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: gcc-c++

BuildRequires: xscreensaver 
Requires: xscreensaver 

Obsoletes: kfiresaver3d
Obsoletes: plastik < %{epoch}:%{version}-%{release}

Obsoletes: %{name}-locolor < %{epoch}:%{version}-%{release} 
Obsoletes: %{name}-screensavers < %{epoch}:%{version}-%{release} 
Obsoletes: %{name}-kworldclock < %{epoch}:%{version}-%{release} 
Provides: %{name}-locolor = %{epoch}:%{version}-%{release} 
Provides: %{name}-screensavers = %{epoch}:%{version}-%{release} 
Provides: %{name}-kworldclock = %{epoch}:%{version}-%{release} 
%if "%{?redhatify}" != "1"
Obsoletes: %{name}-icons < %{epoch}:%{version}-%{release}
Provides:  %{name}-icons = %{epoch}:%{version}-%{release} 
%endif

%description
Additional artwork (themes, sound themes, ...) for KDE

%package icons
Summary: icon themes (kdeclassic, slick ....) for KDE
Group: 	 User Interface/Desktops
#Requires: %{_datadir}/icons
# To avoid the dep on a directory:
Requires: kdelibs = 6:%{version}
%description icons
Icon themes (kdeclassic, slick ...) for KDE


%prep

%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%{?gcc296:%patch1000 -p1 -b .gcc296}

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  --with-xinerama \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } \
  --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

### Will have to rethink the wisdom of this -- Rex
%if "%{?redhatify}" == "1"
pushd $RPM_BUILD_ROOT%{_datadir}/icons
# Not sure why redhat does this, but oh well? 
mv Locolor locolor
# for compatibility? No, a little dangerous -- Rex
#ln -s locolor Locolor
popd

# fix file conflict with other kde packages 
# because of Locolor -> locolor as above -- Rex
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/locolor/*/apps/{kbabel,kig,kspaceduel,lskat,ktux,ktimemon,kspreadcalc}.png 
%endif


%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/kfiresaver
%{_datadir}/apps/kscreensaver
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/kwin/*
# note: kworldclock is from kdetoys
%{_datadir}/apps/kworldclock/maps/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%if "%{?redhatify}" == "1"
%files icons
%defattr(-,root,root)
%endif
%{_datadir}/icons/*


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Nov 11 2004 Aurox Team <aurox@aurox.org> 0:3.3.1-10.1.aur.2
- provides %{name}-icons = %{epoch}:%{version}-%{release}
- %{version} in url: field used instead of giving exact number
- 3.2.3
- set categories to KDE;Screensaver
- 3.2.2
- move away desktop files

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0
- disable krotate,kpendulum screensavers for rh73/gcc296.

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.0.kde
- 3.2.92

* Wed Jun 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.3-1.1.kde
- -icons: remove Requires: %%{name}, it's not really needed
- -icons: Requires: kdelibs (for %%_datadir/icons)

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.3-1.0.kde
- 3.2.3

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-2.0.kde
- sync w/rawhide's 3.2.2-2
- icons subpkg

* Mon May 24 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix file conflict with other kde packages

* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-1.0.kde
- FC2

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.0
- 3.2.1

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.1.95-0.fdr.0
- 3.1.95

* Sun Dec 14 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.94-0.fdr.0
- 3.1.94

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.4
- dotnet Requires: qt-styles (qt-windows style, in particular)

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.3
- (temporarily) disable/exclude dotnet style, pending fix (kde bug #70232)

* Mon Dec 08 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.2
- desktop_file=0 for rh73 case.

* Thu Dec 04 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.1
- unconditionally use desktop_file=1 style

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.3-0.fdr.0
- 3.1.3

* Tue May 27 2003 Rex Dieter <rexdieter at sf.net> 3.1.2-0.fdr.1
- rebuild against new(er) qt.

* Fri May 16 2003 Rex Dieter <rexdieter at sf.net> 3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.
- kdeartwork-3.1.2-xscreensaver.patch (kde bug #57630)

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- rebuild

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- Requires: xscreensaver, though some screensavers can't be configured
  on rh73 (??). 
- use epochs in Obsoletes/Provides/Requires.

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning.

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 3.0.5a-0
- 3.0.5a

* Sun Dec 15 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.1
- monolithic (optional)
- desktop_file=0 (optional) (more work needed)

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-1
- 3.0.99 (rc3)
- hmm... some of the screensavers don't appear to work. ??

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Wed Nov 13 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0
- 3.0.5

* Mon Oct 14 2002 Rex Dieter <rexdieter at sf.net> 3.0.4-0.73.1.0
- Add Requires: kdelibs/kdebase >= %%version

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-0.73.1
- 3.0.4

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 3.0.3-0.7.1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

